Update Account
Update an account.
Path Parameters
- Type: string · Account Idaccount
_id requiredThe ID of the account to update
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·AccountUpdate
required
application/json
- Type: object · Address nullableaddress
- Type: array string[] · Available Processor Configsavailable
_processor _configs - Type: string | null · Descriptiondescription
- Type: string | null · Mccmcc
- Type: string | null · Namename
- Type: string | null · Organization Idorganization
_id - Type: string | null · Parent Idparent
_id - Type: string · AccountStatusenum nullablestatusvalues
- active
- inactive
- blocked
- Type: number | null · Surcharge Ratesurcharge
_rate Surcharge percentage (e.g., 3.5 for 3.5%). Setting to null disables automatic surcharge logic. Setting to 0 means surcharges will NEVER be applied unless explicitly overridden.
- Type: string | null · Tax Idtax
_id
Responses
- application/json
- application/json
Request Example for put/v1/accounts/{account_id}
curl 'https://api.uat.koard.com/v1/accounts/{account_id}' \
--request PUT \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"address": {
"city": "",
"state": "",
"street_line1": "",
"street_line2": "",
"zip": ""
},
"available_processor_configs": [
""
],
"description": null,
"mcc": null,
"name": null,
"organization_id": null,
"parent_id": null,
"status": "active",
"surcharge_rate": null,
"tax_id": null
}'
{
"address": {
"city": "string",
"state": "string",
"street_line1": "string",
"street_line2": "",
"zip": "string"
},
"available_processor_configs": [],
"created_at": "2026-04-20T15:32:06.309Z",
"deleted_at": null,
"description": "string",
"has_access_to_apple_config": false,
"has_access_to_mms": false,
"id": "string",
"mcc": null,
"name": "string",
"organization_id": null,
"parent_account_ids": [],
"status": "active",
"surcharge_rate": null,
"tax_id": null,
"type": "admin",
"updated_at": null
}
